<div fxFill fxLayout="column" fxLayoutAlign="start stretch" >
  <mat-toolbar fxLayout="row" fxLayoutAlign="start center">
    <span>{{title}}</span>
    <span fxFlex></span>
    <button mat-button (click)="dialogRef.close()"><mat-icon>close</mat-icon></button>
  </mat-toolbar>
  <div id="detail-input-container" fxFlex="grow" fxLayout="column" fxLayoutAlign="start stretch">
    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="5px">
      <mat-form-field fxFlex="50">
        <input matInput readonly [matDatepicker]="datePicker" placeholder="Choose a date" (click)="datePicker.open()"
          [(ngModel)]="inputDate">
        <mat-datepicker touchUi #datePicker></mat-datepicker>
      </mat-form-field>
      <mat-form-field fxFlex="50">
        <input matInput readonly placeholder="set the time" [ngxTimepicker]="picker" [format]="24"
          [(ngModel)]="inputTimeStr" (ngModelChange)="timeChange($event)">
      </mat-form-field>
      <ngx-material-timepicker #picker></ngx-material-timepicker>
    </div>
    <mat-form-field>
      <input matInput type="number" placeholder="Breast Milk" [(ngModel)]="inputValueObj.breastMilkAmount">
      <span matSuffix>ml</span>
    </mat-form-field>
    <mat-form-field>
      <input matInput type="number" placeholder="Formula Milk" [(ngModel)]="inputValueObj.formulaMilkAmount">
      <span matSuffix>ml</span>
    </mat-form-field>
    <mat-form-field>
      <mat-chip-list #chipList>
        <mat-chip
          *ngFor="let food of foods"
          [selectable]="selectable"
          [removable]="removable"
          (removed)="remove(food)">
          {{food}}
          <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
        </mat-chip>
        <input
          placeholder="Solid Foods..."
          #fruitInput
          [formControl]="foodCtrl"
          [matAutocomplete]="auto"
          [matChipInputFor]="chipList"
          [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
          [matChipInputAddOnBlur]="addOnBlur"
          (matChipInputTokenEnd)="add($event)">
      </mat-chip-list>
      <mat-autocomplete #auto="matAutocomplete" (optionSelected)="selected($event)">
        <mat-option *ngFor="let food of filteredFoods | async" [value]="food">
          {{food}}
        </mat-option>
      </mat-autocomplete>
    </mat-form-field>
    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="5px">
      <mat-checkbox fxFlex="50" [(ngModel)]="inputValueObj.hasPee">Pee</mat-checkbox>
      <mat-checkbox fxFlex="50" [(ngModel)]="inputValueObj.hasPoop">Poop</mat-checkbox>
    </div>
  </div>
  <mat-toolbar id="action-bar" fxLayout="row" fxLayoutAlign="start stretch" >
    <button *ngIf="enableDelete" fxFlex="50" mat-raised-button color="accent" (click)="openBottomSheet()">Delete</button>
    <button fxFlex mat-raised-button color="primary" (click)="save()">Save</button>
  </mat-toolbar>
</div>
